<!-- corner radius section -->
<md-list class="wb-setting-panel"> 

	<!-- SECTION: General Settings -->
    <md-subheader class="md-no-sticky">General</md-subheader>

    <!-- Choices number -->

<!-- 	TODO: two button to add new Choice or remove current choice -->

	<wb-ui-setting-dropdown 
		title="Correct choice" 
		icon="settings_applications"
		items="wbModel.choices" 
		value="wbModel.correct">
	</wb-ui-setting-dropdown>
	
	<wb-ui-setting-dropdown 
		title="Setting for Choice" 
		icon="settings_applications"
		items="wbModel.choices" 
		value="editIndex">
	</wb-ui-setting-dropdown>

	<!-- SECTION: Settings for Slides -->
	<div
		ng-if="editIndex"
		layout="column">
		<md-subheader 
			class="md-no-sticky">Settings for {{wbModel.choices[editIndex].title}}</md-subheader>
		<textarea
			ui-tinymce="{
				 plugins : 'directionality contextmenu table link paste hr emoticons advlist autolink link lists advlist charmap print preview code anchor image imagetools visualchars',
				 toolbar: [
				 	'undo redo visualchars | styleselect | link image emoticons | hr ',
				 	'alignleft aligncenter alignright | ltr rtl | bold italic | numlist bullist ',
				 ],
				 contextmenu: 'link image inserttable | cell row column deletetable',
				 elementpath: true,
				 branding: false,
				 image_advtab: false
			}"
			ng-model="wbModel.choices[editIndex].content" 
			flex>
		</textarea>
	</div>
</md-list>
